Автор Тема: FastCore [RichEdition]  (Прочитано 1458 раз)

0 Пользователей и 1 Гость просматривают эту тему.

shans5

  • *
  • *
  • Оффлайн
  • Награды Более 8 лет на форуме За 1500 созданных тем Репутация более 75 более 4000 сообщений Топ 10 по сообщениям Топ 10 по созданным темам Бывает груб к участникам форума. За время в онлайне на форуме
  • Дата регистрации: Сен. 2015
  • Расположение: Регион 58
  • Возраст: 44
  • Сообщений: 4888
  • Страна: ru
  • Поблагодарили: 1356 раз(а)
  • Репутация +92/-10
  • Пол: Мужской
  • Всё только начинается !!!
  • Дата рождения:
    1979-06-30
FastCore [RichEdition]
« Ответ #25 : 01 Апреля 2024, 21:52:16 »
Было бы не плохо очистить скрипт обновлять платежные системы паеер фрикасса и адаптировать под версии php 8.3

А что в этом хорошего?
вот серьезно...

Проект на php8.0 или 8.3  начнет сам себя рекламировать ? Или что?
Юзерам ( потенциальным вкладчикам )  по барабану какая там версия php, более того, большинство понятия не имеют что такое это самое PHP.

Проекты в большинстве своем закрываются через пару недель..
Скажете хостинги не поддерживают версии php ниже 8.0 ?   Это не правда . Данный форум работает на php 5.3

ИМХО  - дешевые понты все эти версии php
Подвергнуть критике, может любой.
Создать то,что будет подвергнуто критике,дано не каждому.
 

Rich-99000000Автор темы

  • *
  • Оффлайн
  • Награды Более 7 лет на форуме Более 250 сообщений Репутация более 5 Топ 10 по сообщениям Благодарность от форума Более 10 созданных тем
  • Дата регистрации: Июль 2016
  • Возраст: 28
  • Сообщений: 460
  • Страна: ru
  • Поблагодарили: 136 раз(а)
  • Репутация +6/-2
  • Пол: Мужской
  • моды, сайты на заказ недорого >> ЛС
  • Дата рождения:
    1995-06-28
    Социальные сети:
    ВКонтакте
FastCore [RichEdition]
« Ответ #26 : 02 Апреля 2024, 09:02:45 »
ИМХО  - дешевые понты все эти версии php
почему же, больше функциональности появлялось с каждой новой до 7.4. Помимо прочего это сугубо безопасность. Ну и почему бы людям не сидеть на бордах конца нулевых?) Все стремятся к лучшему. Офтоп аналогия зачем иномарка, есть же старый добрый жигуленок. Зачем сидеть на 11/10 винде. 95/98/миллениум же есть :)

вот FastCore на php 8.0 от Rubens
Да я уже переделывал некоторые моды под него. Версия на самом деле достаточно кривая (git)
 

shans5

  • *
  • *
  • Оффлайн
  • Награды Более 8 лет на форуме За 1500 созданных тем Репутация более 75 более 4000 сообщений Топ 10 по сообщениям Топ 10 по созданным темам Бывает груб к участникам форума. За время в онлайне на форуме
  • Дата регистрации: Сен. 2015
  • Расположение: Регион 58
  • Возраст: 44
  • Сообщений: 4888
  • Страна: ru
  • Поблагодарили: 1356 раз(а)
  • Репутация +92/-10
  • Пол: Мужской
  • Всё только начинается !!!
  • Дата рождения:
    1979-06-30
FastCore [RichEdition]
« Ответ #27 : 02 Апреля 2024, 09:33:28 »
по поводу безопасности.. Если скрипт дырявый, то не важно какая версия PHP
Если скрипт ровный, то аналогично.
Ну и взломать можно любой сайт, вообще любой... Не зависимо от версии PHP.

Дальше... Как уже говорил, 99% проектов закрываются через пару недель... Тут на форуме я делал тему про проект AMIR .
Кто то спросил, какая версия php у него?  Конечно же нет. Сразу написали СКАМ.

Далее , все стремятся к лучшему?  Ну новее не значит лучше. Оно просто новее.
Далее, как ты сам говоришь, ты уже переделывал некоторые модули под php 8.0 ,
для большинства это дополнительные расходы финансовые  ( ну это дело такое, тебе в плюс )

По поводу иномарки....  Если жигуль полность рабочий, весь изученнй и служит верой и правдой, то лучше жигуль,
чем иномарка которую надо доделывать за отдельную плату, искать автосервисы, где тебя не кинут.
Как например автослесарь типа андроида ( он же Dоzzer ).

Я соглашусь если проект, например форум, либо соц.сеть или ещё что то, изначально запланированный на долгий срок работы, то имеет место улучшение php и т.д. ( опять же тут на любителя)

 Я никого не отговариваю, и наоборот никому не советую..
Но не увидел конкретного и внятного ответа чем PHP 8.0 лучше для проектов, которые запускаются ради того, чтоб собрать денег ( по возможности) и через пару недель свалить.?


Типа юзер вложил деньги впроект, а проект закрылся... И он думает, ну потерял я деньги , ну и пусть , меня же кинули на сайте , где есть ssl и php 8.0  ,  пойду ещё другому админу закину бабла, но только тому , у кого php8 .   

И ещё раз повторюсь , данный форум работает на php5.3 , кого то это напрягает ?    неа...
Никто и никогда даже не думал над этим вопросом, люди заходят , чтоб получить что-то на халяву, ( в большинстве случаев ) , им важен контент ( на который я забил болт честно говоря )
Людям по факту без разницы какая версия php.

Ну и по поводу иномарки, тоже на любителя . Долго расписывать, но у меня хендай акцент, старенький, но надежный как автомат калашникова. Я уже не молод, мне не нужно девок завлекать, мне нужна стабильность.

У меня брат двоюродный года три назад купил LEXUS , тоже не новый... Но суть не в этом .
Важна фраза: это же лексус.
Через месяц после покупки отъехали валы ГРМ, при разборе вылезло кучу ещё проблем, в итоге махнули движок полностью.
Обошлось в 120000  ( меняли сами , не в сервисе) . Но хрен с ней, главное что это лексус!!!!
Дальше через неделю разлетелась КПП , перемолотило все и лопнул корпус, купили контрактную, типа после ремонта, по моему за 70000.
Ну хрен с ней, главное что это же лексус!!!!

Ну и ближе к теме, дальше пошла ходовая, замена рулевой рейки и куча мелочей...

Сейчас не помню, но грубо за год владения автомобилем , и м реально пользовались месяца три, остальное время он был на ремонте и очень просил денег.
Но это же не важно. Главное, когда кто то спросит : какая у тебя машина? Он гордо отвечает: У МЕНЯ ЛЕКСУС !!!!!

И ещё:  если покупаешь машину на долгий срок эксплуатации, то наверное важно какая марка ( опять же по возможности ) у кого сколько денег , и кому для чего нужно.
А перекупам, которые покупают авто и через неделю( если повезет) скидывают его, им без разницы ... Главное накрутить свои 50К сверху желательно....
Ну или побольше по возможности.

Ну и я уже где-то говорил на форуме, около 7 лет у меня был ВАЗ 21120 ( двенашка ), и это очень хороший вариант был, который ни разу меня не подвел.
По этому сейчас акцент, по сути тот же жигуль, только корейский.

Об этом можно рассуждать бесконечно. На мой взгляд, ещё раз: главное понять - для чего оно нужно? Какая цель у автомобиля ( "скрипта"  )
 
Пользователи, которые поблагодарили этот пост: Rich-99000000

Rich-99000000Автор темы

  • *
  • Оффлайн
  • Награды Более 7 лет на форуме Более 250 сообщений Репутация более 5 Топ 10 по сообщениям Благодарность от форума Более 10 созданных тем
  • Дата регистрации: Июль 2016
  • Возраст: 28
  • Сообщений: 460
  • Страна: ru
  • Поблагодарили: 136 раз(а)
  • Репутация +6/-2
  • Пол: Мужской
  • моды, сайты на заказ недорого >> ЛС
  • Дата рождения:
    1995-06-28
    Социальные сети:
    ВКонтакте
FastCore [RichEdition]
« Ответ #28 : 02 Апреля 2024, 17:11:23 »
Но не увидел конкретного и внятного ответа чем PHP 8.0 лучше для проектов
технически это лучше для админа/владельца. Если просто, то более длительный срок повторной эксплуатации. Например что я продавал в 2017 (на php7.+) спокойно работает без правок и в 2024 (на php8.+) при том что в те годы меня хаяли что нет смысла писать на новой версии php. Но круг поддержки для FF (5.3-5.6) сократилась. Как в ближайшем будущем сократится для 7ки. Не то чтобы я стремился втюхать всем 8ку. Реализую по мере запроса со стороны админов, не более. Процесс устаревания у вещей имеет место во всем, увы.
 
Пользователи, которые поблагодарили этот пост: WebTheory
Теги: